/*
 * Class TIME_VALIDITY_CHECKER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_892 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_892 [] = {0xFF01,237,891,0xFFFF};
static const EIF_TYPE_INDEX egt_2_892 [] = {0xFF01,891,0xFFFF};
static const EIF_TYPE_INDEX egt_3_892 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_892 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_892 [] = {0xFF01,891,0xFFFF};
static const EIF_TYPE_INDEX egt_6_892 [] = {0xFF01,891,0xFFFF};
static const EIF_TYPE_INDEX egt_7_892 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_892 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_892 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_892 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_892 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_892 [] = {0xFF01,891,0xFFFF};
static const EIF_TYPE_INDEX egt_13_892 [] = {0xFF01,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_892 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_15_892 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_892[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_892), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_892), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_892), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_892), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_892), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_892), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_892), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_892), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_892), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_892), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_892), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_892), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06F7 /*891*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_892), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12722, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_892), 12723, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_892), 12724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12725, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12726, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12727, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12728, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12729, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_892), 12730, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12731, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12732, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 12735, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12741, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12742, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12743, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12740, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12739, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 12733, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 12734, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 12736, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12737, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12738, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12744, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12745, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12746, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12747, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13064, 0xFFFFFFFF},
};
void Init892(void)
{
	IDSC(desc_892, 0, 891);
	IDSC(desc_892 + 1, 1, 891);
	IDSC(desc_892 + 32, 397, 891);
	IDSC(desc_892 + 36, 395, 891);
	IDSC(desc_892 + 42, 393, 891);
	IDSC(desc_892 + 51, 384, 891);
	IDSC(desc_892 + 61, 385, 891);
}


#ifdef __cplusplus
}
#endif
